
----


----

``proxmox-offline-mirror config media add --id <string> --mirrors <string> --mountpoint <string> --sync <boolean> --verify <boolean> [OPTIONS]``

Create new medium config entry.

``--id`` ``<string>``
  Medium name.

``--mirrors`` ``<string>``
  List of [MirrorConfig] IDs which should be synced to medium. Can be specified
  more than once.

``--mountpoint`` ``<string>``
  Mountpoint where medium is available on mirroring system.

``--sync`` ``<boolean>``
  Whether to write new files using FSYNC.

``--verify`` ``<boolean>``
  Whether to verify existing files or assume they are valid (IO-intensive).

Optional parameters:

``--config`` ``<string>``
  Path to mirroring config file.
``--output-format`` ``text|json|json-pretty``
  Output format.

----

``proxmox-offline-mirror config media list [OPTIONS]``

List configured media.

Optional parameters:

``--config`` ``<string>``
  Path to mirroring config file.
``--output-format`` ``text|json|json-pretty``
  Output format.

----

``proxmox-offline-mirror config media remove --id <string> --remove-data <boolean> [OPTIONS]``

Remove medium config entry.

``--id`` ``<string>``
  Medium name.

``--remove-data`` ``<boolean>``
  Remove ALL DATA on medium as well.

Optional parameters:

``--config`` ``<string>``
  Path to mirroring config file.
``--output-format`` ``text|json|json-pretty``
  Output format.

----

``proxmox-offline-mirror config media show --id <string> [OPTIONS]``

Show full medium config entry.

``--id`` ``<string>``
  Medium name.

Optional parameters:

``--config`` ``<string>``
  Path to mirroring config file.
``--output-format`` ``text|json|json-pretty``
  Output format.

----

``proxmox-offline-mirror config media update --id <string> [OPTIONS]``

Update medium config entry.

``--id`` ``<string>``
  Medium name.

Optional parameters:

``--config`` ``<string>``
  Path to mirroring config file.
``--mirrors`` ``<string>``
  List of [MirrorConfig] IDs which should be synced to medium. Can be specified
  more than once.
``--mountpoint`` ``<string>``
  Mountpoint where medium is available on mirroring system.
``--sync`` ``<boolean>``
  Whether to write new files using FSYNC.
``--verify`` ``<boolean>``
  Whether to verify existing files or assume they are valid (IO-intensive).


----

``proxmox-offline-mirror config mirror add --architectures <string> --base-dir <string> --id <string> --key-path <string> --repository <string> --sync <boolean> --verify <boolean> [OPTIONS]``

Create new mirror config entry.

``--architectures`` ``<string>``
  List of architectures that should be mirrored. Can be specified more than
  once.

``--base-dir`` ``<string>``
  Path to directory containg mirrored repository pool. Can be shared by multiple
  mirrors.

``--id`` ``<string>``
  Mirror name.

``--key-path`` ``<string>``
  Path to public key file for verifying repository integrity.

``--repository`` ``<string>``
  Single repository definition in sources.list format.

``--sync`` ``<boolean>``
  Whether to write new files using FSYNC.

``--verify`` ``<boolean>``
  Whether to verify existing files or assume they are valid (IO-intensive).

Optional parameters:

``--config`` ``<string>``
  Path to mirroring config file.
``--ignore-errors`` ``<boolean>   (default=false)``
  Whether to downgrade download errors to warnings
``--output-format`` ``text|json|json-pretty``
  Output format.
``--skip-packages`` ``<string>``
  Packages which should be skipped, supports globbing Can be specified more
  than once.
``--skip-sections`` ``<string>``
  Sections which should be skipped Can be specified more than once.
``--use-subscription`` ``pve|pbs|pmg|pom``
  Product type
``--weak-crypto`` ``[[allow-sha1=<1|0>] [,min-dsa-key-size=<integer>] [,min-rsa-key-size=<integer>]]``
  Whether to allow using weak cryptography algorithms or parameters, deviating
  from the default policy.

----

``proxmox-offline-mirror config mirror list [OPTIONS]``

List configured mirrors

Optional parameters:

``--config`` ``<string>``
  Path to mirroring config file.
``--output-format`` ``text|json|json-pretty``
  Output format.

----

``proxmox-offline-mirror config mirror remove --id <string> --remove-data <boolean> [OPTIONS]``

Remove mirror config entry.

``--id`` ``<string>``
  Mirror name.

``--remove-data`` ``<boolean>``
  Remove mirror data as well.

Optional parameters:

``--config`` ``<string>``
  Path to mirroring config file.
``--output-format`` ``text|json|json-pretty``
  Output format.

----

``proxmox-offline-mirror config mirror show --id <string> [OPTIONS]``

Show full mirror config

``--id`` ``<string>``
  Mirror name.

Optional parameters:

``--config`` ``<string>``
  Path to mirroring config file.
``--output-format`` ``text|json|json-pretty``
  Output format.

----

``proxmox-offline-mirror config mirror update --id <string> [OPTIONS]``

Update mirror config entry.

``--id`` ``<string>``
  Mirror name.

Optional parameters:

``--architectures`` ``<string>``
  List of architectures that should be mirrored. Can be specified more than
  once.
``--base-dir`` ``<string>``
  Path to directory containg mirrored repository pool. Can be shared by multiple
  mirrors.
``--config`` ``<string>``
  Path to mirroring config file.
``--ignore-errors`` ``<boolean>   (default=false)``
  Whether to downgrade download errors to warnings
``--key-path`` ``<string>``
  Path to public key file for verifying repository integrity.
``--repository`` ``<string>``
  Single repository definition in sources.list format.
``--skip-packages`` ``<string>``
  Packages which should be skipped, supports globbing Can be specified more
  than once.
``--skip-sections`` ``<string>``
  Sections which should be skipped Can be specified more than once.
``--sync`` ``<boolean>``
  Whether to write new files using FSYNC.
``--use-subscription`` ``pve|pbs|pmg|pom``
  Product type
``--verify`` ``<boolean>``
  Whether to verify existing files or assume they are valid (IO-intensive).
``--weak-crypto`` ``[[allow-sha1=<1|0>] [,min-dsa-key-size=<integer>] [,min-rsa-key-size=<integer>]]``
  Whether to allow using weak cryptography algorithms or parameters, deviating
  from the default policy.

----

``proxmox-offline-mirror help [{<command>}] [OPTIONS]``

Get help about specified command (or sub-command).

``<command>`` : ``<string>``
  Command. This may be a list in order to specify nested sub-commands. Can be
  specified more than once.

Optional parameters:

``--verbose`` ``<boolean>``
  Verbose help.


----

``proxmox-offline-mirror key add <key> <server-id> [OPTIONS]``

List subscription keys and their status

``<key>`` : ``<string>``
  Subscription key.

``<server-id>`` : ``<string>``
  Server ID.

Optional parameters:

``--config`` ``<string>``
  Path to mirroring config file.
``--description`` ``<string>``
  Description, e.g. which system this key is deployed on
``--info`` ``<string>``
  base64 encoded subscription info - update with 'refresh' command.
``--refresh`` ``<boolean>   (default=true)``
  Whether to refresh the subscription info upon adding.

----

``proxmox-offline-mirror key add-mirror-key <key> [OPTIONS]``

Add offline mirror key

``<key>`` : ``<string>``
  Subscription key.

Optional parameters:

``--config`` ``<string>``
  Path to mirroring config file.

----

``proxmox-offline-mirror key list [OPTIONS]``

List subscription keys and their status

Optional parameters:

``--config`` ``<string>``
  Path to mirroring config file.
``--output-format`` ``text|json|json-pretty``
  Output format.

----

``proxmox-offline-mirror key refresh [OPTIONS]``

Refresh subscription key status.

Optional parameters:

``--config`` ``<string>``
  Path to mirroring config file.
``--key`` ``<string>``
  Subscription key.

----

``proxmox-offline-mirror key remove <key> [OPTIONS]``

Remove subscription key config entry.

``<key>`` : ``<string>``
  Subscription key.

Optional parameters:

``--config`` ``<string>``
  Path to mirroring config file.
``--output-format`` ``text|json|json-pretty``
  Output format.

----

``proxmox-offline-mirror key show <key> [OPTIONS]``

Show (decoded) subscription config entry.

``<key>`` : ``<string>``
  Subscription key.

Optional parameters:

``--config`` ``<string>``
  Path to mirroring config file.
``--output-format`` ``text|json|json-pretty``
  Output format.

----

``proxmox-offline-mirror key update <key> [OPTIONS]``

Update subscription config entry.

``<key>`` : ``<string>``
  Subscription key.

Optional parameters:

``--config`` ``<string>``
  Path to mirroring config file.
``--description`` ``<string>``
  Description, e.g. which system this key is deployed on
``--server-id`` ``<string>``
  Server ID.


----

``proxmox-offline-mirror medium diff <id> [OPTIONS]``

Diff a medium

``<id>`` : ``<string>``
  Medium name.

Optional parameters:

``--config`` ``<string>``
  Path to mirroring config file.
``--verbose`` ``<boolean>   (default=false)``
  Verbose output (print paths in addition to summary).

----

``proxmox-offline-mirror medium gc <id> [OPTIONS]``

Garbage collect all mirrors on a medium.

``<id>`` : ``<string>``
  Medium name.

Optional parameters:

``--config`` ``<string>``
  Path to mirroring config file.
``--output-format`` ``text|json|json-pretty``
  Output format.

----

``proxmox-offline-mirror medium status <id> [OPTIONS]``

Print status of a medium

``<id>`` : ``<string>``
  Medium name.

Optional parameters:

``--config`` ``<string>``
  Path to mirroring config file.
``--output-format`` ``text|json|json-pretty``
  Output format.

----

``proxmox-offline-mirror medium sync <id> [OPTIONS]``

Sync a medium

``<id>`` : ``<string>``
  Medium name.

Optional parameters:

``--config`` ``<string>``
  Path to mirroring config file.
``--keys-only`` ``<boolean>   (default=false)``
  Only sync offline subscription keys, skip repository contents


----

``proxmox-offline-mirror mirror gc [<id>] [OPTIONS]``

Run Garbage Collection on pool(s). If no `id` is specified, the pools of all configured mirrors
will be GCed.

``<id>`` : ``<string>``
  Mirror name.

Optional parameters:

``--config`` ``<string>``
  Path to mirroring config file.
``--output-format`` ``text|json|json-pretty``
  Output format.


----

``proxmox-offline-mirror mirror snapshot create <id> [OPTIONS]``

Create a new repository snapshot, fetching required/missing files from original repository.

``<id>`` : ``<string>``
  Mirror name.

Optional parameters:

``--config`` ``<string>``
  Path to mirroring config file.
``--dry-run`` ``<boolean>   (default=false)``
  Only fetch indices and print summary of missing package files, don't store
  anything.

----

``proxmox-offline-mirror mirror snapshot create-all [OPTIONS]``

Create a new repository snapshot for each configured mirror, fetching required/missing files
from original repository.

Optional parameters:

``--config`` ``<string>``
  Path to mirroring config file.
``--dry-run`` ``<boolean>   (default=false)``
  Only fetch indices and print summary of missing package files, don't store
  anything.

----

``proxmox-offline-mirror mirror snapshot diff <id> <snapshot> <other_snapshot> [OPTIONS]``

Print differences between two snapshots.

``<id>`` : ``<string>``
  Mirror name.

``<snapshot>`` : ``<string>``
  Mirror snapshot

``<other_snapshot>`` : ``<string>``
  Mirror snapshot

Optional parameters:

``--config`` ``<string>``
  Path to mirroring config file.
``--output-format`` ``text|json|json-pretty``
  Output format.

----

``proxmox-offline-mirror mirror snapshot list [<id>] [OPTIONS]``

List existing repository snapshots.

``<id>`` : ``<string>``
  Mirror name.

Optional parameters:

``--config`` ``<string>``
  Path to mirroring config file.
``--output-format`` ``text|json|json-pretty``
  Output format.

----

``proxmox-offline-mirror mirror snapshot remove <id> <snapshot> [OPTIONS]``

Remove a single snapshot dir from a mirror. To actually removed the referenced data a garbage collection is required.

``<id>`` : ``<string>``
  Mirror name.

``<snapshot>`` : ``<string>``
  Mirror snapshot

Optional parameters:

``--config`` ``<string>``
  Path to mirroring config file.
``--output-format`` ``text|json|json-pretty``
  Output format.

----

``proxmox-offline-mirror setup [OPTIONS]``

Interactive setup wizard.

Optional parameters:

``--config`` ``<string>``
  Path to mirroring config file.
